/**************************************************************************
 OmegaT - Computer Assisted Translation (CAT) tool 
          with fuzzy matching, translation memory, keyword search, 
          glossaries, and translation leveraging into updated projects.

 Copyright (C) 2019 Thomas Cordonnier
               Home page: http://www.omegat.org/
               Support center: http://groups.yahoo.com/group/OmegaT/

 This file is part of OmegaT.

 OmegaT is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 OmegaT is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **************************************************************************/

package org.omegat.gui.editor.filter;

import javax.swing.UIManager;
import javax.swing.border.Border;

import org.omegat.util.OStrings;

/**
 * @author Thomas Cordonnier
 */
@SuppressWarnings("serial")
public class FilterBarCrossSource extends javax.swing.JPanel {

    /**
     * Creates new form FilterBarReplace
     */
    public FilterBarCrossSource() {
        initComponents();
        Border border = UIManager.getBorder("OmegaTEditorFilter.border");
        if (border != null) {
            setBorder(border);
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    private void initComponents() {
        setLayout(new javax.swing.BoxLayout(this, javax.swing.BoxLayout.LINE_AXIS));
        add(new javax.swing.Box.Filler(new java.awt.Dimension(0, 0), new java.awt.Dimension(0, 0), new java.awt.Dimension(120, 0)));

        add(btnRemoveFilter = new javax.swing.JButton());
        org.openide.awt.Mnemonics.setLocalizedText(btnRemoveFilter, OStrings.getString("BUTTON_FILTER_REMOVE_FILTER")); // NOI18N
        add(new javax.swing.Box.Filler(new java.awt.Dimension(5, 0), new java.awt.Dimension(5, 0), new java.awt.Dimension(5, 32767)));

        add(btnNext = new javax.swing.JButton());
        org.openide.awt.Mnemonics.setLocalizedText(btnNext, OStrings.getString("BUTTON_FILTER_NEXT_GROUP")); // NOI18N
        add(new javax.swing.Box.Filler(new java.awt.Dimension(5, 0), new java.awt.Dimension(5, 0), new java.awt.Dimension(5, 32767)));

    }
    
    javax.swing.JButton btnRemoveFilter, btnNext;
}
